### Function

# ECal util_icaltime_to_tm_with_zone

since: 2.22

#### Declaration [src]

    tm
    e_cal_util_icaltime_to_tm_with_zone (
      const ICalTime* itt,
      const ICalTimezone* from_zone,
      const ICalTimezone* to_zone
    )

#### Description [src]

Converts a time value from one timezone to another, and returns a struct tm representation of the time.

Available since: 2.22

#### Parameters

`itt`

  Type: `None`

  A time value.

  The data is owned by the caller of the function.

`from_zone`

  Type: `None`

  Source timezone.

  The data is owned by the caller of the function.

`to_zone`

  Type: `None`

  Destination timezone.

  The data is owned by the caller of the function.

#### Return value

Type: `tm`

The converted time as a struct tm. All fields will be set properly except for tm.tm_yday.